Package org.opensaml.xmlsec.encryption.impl

# Class ReferenceListMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.xmlsec.encryption.impl.AbstractXMLEncryptionMarshaller
org.opensaml.xmlsec.encryption.impl.ReferenceListMarshaller

All Implemented Interfaces:
  `Marshaller`

public class ReferenceListMarshaller extends AbstractXMLEncryptionMarshaller
A thread-safe Marshaller for `ReferenceList` objects.

## Constructor Summary

Constructors
Constructor
Description
`ReferenceListMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.xmlsec.encryption.impl.AbstractXMLEncryptionMarshaller

`marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferenceListMarshaller

public ReferenceListMarshaller()